Upload Image
curl --request POST \
--url https://api.wizcommerce.com/v1/media/upload \
--header 'Content-Type: multipart/form-data' \
--header 'X-API-Key: <api-key>' \
--form file='@example-file' \
--form entity_type=miscimport requests
url = "https://api.wizcommerce.com/v1/media/upload"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "entity_type": "misc" }
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('entity_type', 'misc');
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
options.body = form;
fetch('https://api.wizcommerce.com/v1/media/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"media_file_id": "4f0c8d2e-1a3b-4c5d-9e7f-0a1b2c3d4e5f",
"url": "https://images.example.com/files/4f0c8d2e-1a3b-4c5d-9e7f-0a1b2c3d4e5f",
"cdn_url": "https://cdn.example.com/assets/4f0c8d2e-1a3b-4c5d-9e7f-0a1b2c3d4e5f.jpg"
}
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Media
Upload Image
Upload an image file to the CDN and receive the media file id, fileserver URL, and CDN URL in the response.
POST
/
v1
/
media
/
upload
Upload Image
Supported formats
jpeg, png, gif, webp, svg, bmp, tiff, and ico. Maximum file size is 50 MB.Example usage
curl -X POST https://api.wizcommerce.com/v1/media/upload \
-H "X-API-Key: YOUR_ACCESS_TOKEN_HERE" \
-F "file=@/path/to/image.jpg" \
-F "entity_type=misc"
entity_type field defaults to misc when omitted.Was this page helpful?
⌘I
